JBoss API: Class ResourceEnvRefMetaData

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.metadata
Class ResourceEnvRefMetaData

    java.lang.Object
      |
      +--org.jboss.metadata.MetaData
            |
            +--org.jboss.metadata.ResourceEnvRefMetaData

All Implemented Interfaces:
  java.lang.Cloneable, XmlLoadable

public class ResourceEnvRefMetaData
extends MetaData

The meta data information for a resource-env-ref element. The resource-env-ref element contains a declaration of an enterprise bean’s reference to an administered object associated with a resource in the enterprise bean’s environment. It consists of an optional description, the resource environment reference name, and an indication of the resource environment reference type expected by the enterprise bean code. Used in: entity, message-driven and session Example: jms/StockQueue javax.jms.Queue

Version:
  $Revision: 1.1.4.1 $
Author:
  Scott_Stark@displayscape.com

Fields inherited from class org.jboss.metadata.MetaData
`TX_MANDATORY, TX_NEVER, TX_NOT_SUPPORTED, TX_REQUIRED, TX_REQUIRES_NEW, TX_SUPPORTS, TX_UNKNOWN`

Constructor Summary
`ResourceEnvRefMetaData()`

Method Summary
`java.lang.String` | `getJndiName()`
`java.lang.String` | `getRefName()`
`java.lang.String` | `getType()`
`void` | `importEjbJarXml(org.w3c.dom.Element element)` Parse the ejb-jar child element
`void` | `importJbossXml(org.w3c.dom.Element element)` Parse the jboss child element

Methods inherited from class org.jboss.metadata.MetaData
`clone, getChildrenByTagName, getElementContent, getElementContent, getOptionalChild, getOptionalChild, getUniqueChild, importXml, jdk13Enabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceEnvRefMetaData

    public ResourceEnvRefMetaData()

Method Detail

### getRefName

    public java.lang.String getRefName()

### getJndiName

    public java.lang.String getJndiName()

### getType

    public java.lang.String getType()

### importEjbJarXml

    public void importEjbJarXml(org.w3c.dom.Element element)
                         throws DeploymentException

  Parse the ejb-jar child element
  Overrides:
    `importEjbJarXml` in class `MetaData`
  Parameters:
    `element,` - the resource-env-ref element

### importJbossXml

    public void importJbossXml(org.w3c.dom.Element element)
                        throws DeploymentException

  Parse the jboss child element
  Overrides:
    `importJbossXml` in class `MetaData`
  Parameters:
    `element,` - the resource-env-ref element

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.